# Generated by Django 2.2.1 on 2019-06-28 18:30

from django.db import migrations, models
import app.models


class Migration(migrations.Migration):

    dependencies = [
        ('recs', '0011_comment'),
    ]

    operations = [
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('post_id', models.IntegerField()),
                ('vote_type_id', models.SmallIntegerField(choices=[(1, app.models.Vote.TypeId(1)), (2, app.models.Vote.TypeId(2)), (3, app.models.Vote.TypeId(3)), (4, app.models.Vote.TypeId(4)), (5, app.models.Vote.TypeId(5)), (6, app.models.Vote.TypeId(6)), (7, app.models.Vote.TypeId(7)), (8, app.models.Vote.TypeId(8)), (9, app.models.Vote.TypeId(9)), (10, app.models.Vote.TypeId(10)), (11, app.models.Vote.TypeId(11)), (12, app.models.Vote.TypeId(12)), (13, app.models.Vote.TypeId(13))])),
                ('creation_date', models.DateTimeField()),
                ('user_id', models.IntegerField(null=True)),
                ('bounty_amount', models.IntegerField(null=True)),
            ],
        ),
    ]
